Loading...
Searching...
No Matches
L4virtio::Svr::Virtio_rng< Rnd_state, Epiface >::Request_processor Class Reference

Handler for the Virtio requests. More...

`#include <virtio-rng-device>`

Inheritance diagram for L4virtio::Svr::Virtio_rng< Rnd_state, Epiface >::Request_processor:
Collaboration diagram for L4virtio::Svr::Virtio_rng< Rnd_state, Epiface >::Request_processor:

## Additional Inherited Members

Public Member Functions inherited from L4virtio::Svr::Request_processor
template<typename DESC_MAN, typename ... ARGS>
void | start (DESC_MAN *dm, Virtqueue *ring, Virtqueue::Head_desc const &request, ARGS... args)
| Start processing a new request.
template<typename DESC_MAN, typename ... ARGS>
Virtqueue::Request const & | start (DESC_MAN *dm, Virtqueue::Request const &request, ARGS... args)
| Start processing a new request.
Virtqueue::Desc::Flags | current_flags () const
| Get the flags of the currently processed descriptor.
bool | has_more () const
| Are there more chained descriptors?
template<typename DESC_MAN, typename ... ARGS>
bool | next (DESC_MAN *dm, ARGS... args)
| Switch to the next descriptor in a descriptor chain.

## Detailed Description

template<typename Rnd_state, typename Epiface = L4virtio::Device>
class L4virtio::Svr::Virtio_rng< Rnd_state, Epiface >::Request_processor

Handler for the Virtio requests.

Definition at line 68 of file virtio-rng-device.

The documentation for this class was generated from the following file:

- l4/l4virtio/server/virtio-rng-device